Bug 10224 - Patches to fix small problems in the vfs_glusterfs module.
Patches to fix small problems in the vfs_glusterfs module.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 20:40 UTC by Christophuzzy R. Hertel
Modified: 2013-10-29 09:14 UTC (History)
0 users

See Also:
crh: review+


Attachments
Zip file containing all three patches. (4.84 KB, application/zip)
2013-10-23 20:40 UTC, Christophuzzy R. Hertel
no flags Details
Single file not zipped patch as requested by Jeremy. (11.10 KB, patch)
2013-10-23 21:06 UTC, Christophuzzy R. Hertel
crh: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christophuzzy R. Hertel 2013-10-23 20:40:32 UTC
Created attachment 9317 [details]
Zip file containing all three patches.

A handful of smaller patches have been made against Master that fix problems with the vfs_glusterfs module.  These patches are ready to be applied to the current release branch:

ba04400 vfs_glusterfs: Fix excessive debug output from vfs_gluster_open().
c8c84b4 vfs_glusterfs: Implement proper mashalling/unmarshalling of ACLs
a973b1c VFS plugin was sending the actual size of the volume instead of the total number of block units because of which windows was getting the wrong volume capacity.

Attached as a zip file... don't ask.
Comment 1 Christophuzzy R. Hertel 2013-10-23 20:45:59 UTC
Karolin:  The attached fixes are specific to the vfs_glusterfs.c module and have already been reviewed and accepted in master.  Please include these in the v4-1-test branch for inclusion in the next Samba 4.1.x release.

Please also let me know if I've messed up anything in this process.  I haven't actually ever used this process before.  The last time I made official changes to an official Samba release...was before you were in charge.

Thnax!

Chridz -)-----
Comment 2 Jeremy Allison 2013-10-23 20:46:07 UTC
But I am asking :-).

Don't use a zip file, please attach as a git-am formatted patch using git format-patch --stdout GIT_START..GIT_END >/tmp/file_to_upload.

Then upload that and mark it as a patch please.

Jeremy.
Comment 3 Jeremy Allison 2013-10-23 20:46:33 UTC
(In reply to comment #1)

> Please also let me know if I've messed up anything in this process.

Yes you did. Don't use zip files please !
Comment 4 Christophuzzy R. Hertel 2013-10-23 21:06:57 UTC
Created attachment 9318 [details]
Single file not zipped patch as requested by Jeremy.
Comment 5 Jeremy Allison 2013-10-23 22:18:24 UTC
Look good to me for 4.1.next !
Jeremy.
Comment 6 Karolin Seeger 2013-10-28 09:59:15 UTC
Pushed to autobuild-v4-1-test.
Comment 7 Karolin Seeger 2013-10-29 09:14:14 UTC
Pushed to v4-1-test.
Closing out bug report.

Thanks!